Package org.codehaus.plexus.util

# Class MatchPattern

java.lang.Object
org.codehaus.plexus.util.MatchPattern

public class MatchPattern extends Object

Describes a match target for SelectorUtils.

Significantly more efficient than using strings, since re-evaluation and re-tokenizing is avoided.

Author:
  Kristian Rosenvold

## Method Summary

Modifier and Type
Method
Description
`static MatchPattern`
`fromString(String source)`
`char[][]`
`getTokenizedPathChars()`
`String[]`
`getTokenizedPathString()`
`boolean`
`matchPath(String str, boolean isCaseSensitive)`
`boolean`
`matchPatternStart(String str, boolean isCaseSensitive)`
`boolean`
`startsWith(String string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### matchPath

public boolean matchPath(String str, boolean isCaseSensitive)

### matchPatternStart

public boolean matchPatternStart(String str, boolean isCaseSensitive)

### getTokenizedPathString

public String[] getTokenizedPathString()

### getTokenizedPathChars

public char[][] getTokenizedPathChars()

### startsWith

public boolean startsWith(String string)

### fromString

public static MatchPattern fromString(String source)